/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

public class AboutDialog extends JDialog implements ActionListener
{

	public AboutDialog(Frame Parent, String Version)
	{
		super(Parent, "About JavaNews", false);
		Font normal, bold;
		Color oldC;

		addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e)
            {
                dispose();
            }
        });

		normal=getFont();
		oldC=getForeground();

		bold=new Font(normal.getName(), Font.BOLD, normal.getSize());

		JPanel P=new JPanel();
		GridBagLayout grid=new GridBagLayout();
		GridBagConstraints c=new GridBagConstraints();
		P.setLayout(grid);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		JLabel lbl=new JLabel("JavaNews Version "+Version);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		lbl=new JLabel("Copyright Charles-Edouard Ruault 1996-1999");
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		lbl=new JLabel("ce@ruault.com");
		lbl.setFont(bold);
		lbl.setForeground(Color.red);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.gridheight=1;
		lbl=new JLabel("For up-to-date information see ");
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.gridheight=1;
		lbl=new JLabel("http://www.ruault.com/JavaNews/");
		lbl.setFont(bold);
		lbl.setForeground(Color.blue);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=0;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.insets=new Insets(10,10,10,10);
		JButton b=new JButton("OK");
		grid.setConstraints(b, c);
		b.addActionListener(this);
		P.add(b);

		getContentPane().add("Center", P);
		pack();
		show();
	}

	public void actionPerformed(ActionEvent e)
	{

		if (e.getSource() instanceof JButton)
		{
		    if (e.getActionCommand().equals("OK"))
			{
				dispose();
			}
		}
	}
}
