/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import News.*;

public class HostsProperties extends JFrame implements ActionListener
{
	private JTextField NntpHost;
	private JTextField NntpPort;
	private JTextField SmtpHost;
	private JNewsProps Props;
	private JavaNews Parent;

	public HostsProperties(JNewsProps props, JavaNews parent)
	{
		super("Hosts Properties");

		 addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e)
            {
                setVisible(false);
            }
        });

		JLabel lbl1, lbl2;
		JButton ok, cancel;

		Props=props;
		Parent=parent;

		JPanel P=new JPanel();
		GridBagLayout grid=new GridBagLayout();
		GridBagConstraints c=new GridBagConstraints();
		P.setLayout(grid);

		c.weightx=0;
		c.weighty=0;
		c.gridwidth=1;
		c.anchor=GridBagConstraints.EAST;
		c.fill=GridBagConstraints.NONE;
		lbl1=new JLabel("News Host ");
		grid.setConstraints(lbl1, c);
		P.add(lbl1);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		NntpHost=new JTextField(Props.getProperty("NntpHost"));
		grid.setConstraints(NntpHost, c);
		P.add(NntpHost);

		c.weightx=0;
		c.gridwidth=1;
		c.anchor=GridBagConstraints.EAST;
		c.fill=GridBagConstraints.NONE;
		lbl2=new JLabel("News Port ");
		grid.setConstraints(lbl2, c);
		P.add(lbl2);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		NntpPort=new JTextField(Props.getProperty("NntpPort"));
		grid.setConstraints(NntpPort, c);
		P.add(NntpPort);

		c.weightx=0;
		c.gridwidth=1;
		c.anchor=GridBagConstraints.EAST;
		c.fill=GridBagConstraints.NONE;
		lbl2=new JLabel("Mail Host ");
		grid.setConstraints(lbl2, c);
		P.add(lbl2);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		SmtpHost=new JTextField(Props.getProperty("SmtpHost"));
		grid.setConstraints(SmtpHost, c);
		P.add(SmtpHost);

		c.gridwidth=1;
		c.weightx=0;
		c.weighty=0;
		//c.fill=GridBagConstraints.VERTICAL;
		ok=new JButton("OK");
		grid.setConstraints(ok, c);
		ok.addActionListener(this);
		P.add(ok);

		c.gridwidth=1;
		cancel=new JButton("Cancel");
		grid.setConstraints(cancel, c);
		cancel.addActionListener(this);
		P.add(cancel);

		getContentPane().add("Center", P);
		pack();
	}

	public void actionPerformed(ActionEvent e)
	{

		if (e.getSource() instanceof JButton)
		{
		    String cmd=e.getActionCommand();
			if (cmd.equals("OK"))
			{
				Props.put("NntpPort", NntpPort.getText());
				Props.put("NntpHost", NntpHost.getText());
				Props.put("SmtpHost", SmtpHost.getText());
				Parent.PropsChanged();
				setVisible(false);
			}
			else if (cmd.equals("Cancel"))
			{
				setVisible(false);
			}
		}
	}
}
