/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.filechooser.FileFilter;
import News.*;

public class IdentProperties extends JFrame implements ActionListener
{
	private JTextField Name;
	private JTextField Email;
	private JTextField Organization;
	private JTextField Signature;
	private JNewsProps Props;
	private JavaNews Parent;

	public IdentProperties(JNewsProps props, JavaNews parent)
	{
		super("Identity Properties");

	      addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e)
            {
                setVisible(false);
            }
        });

		JLabel lbl1, lbl2;
		JButton ok, cancel;

		Props=props;
		Parent=parent;

		JPanel P=new JPanel();
		GridBagLayout grid=new GridBagLayout();
		GridBagConstraints c=new GridBagConstraints();
		P.setLayout(grid);

		c.weightx=0;
		c.weighty=0;
		c.gridwidth=1;
		c.anchor=GridBagConstraints.EAST;
		c.fill=GridBagConstraints.NONE;
		lbl1=new JLabel("Your Name : ");
		grid.setConstraints(lbl1, c);
		P.add(lbl1);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		Name=new JTextField(Props.getProperty("Name"));
		grid.setConstraints(Name, c);
		P.add(Name);

		c.weightx=0;
		c.anchor=GridBagConstraints.EAST;
		c.gridwidth=1;
		c.fill=GridBagConstraints.NONE;
		lbl2=new JLabel("Your E-Mail : ");
		grid.setConstraints(lbl2, c);
		P.add(lbl2);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		Email=new JTextField(Props.getProperty("EMail"));
		grid.setConstraints(Email, c);
		P.add(Email);

		c.weightx=0;
		c.anchor=GridBagConstraints.EAST;
		c.gridwidth=1;
		c.fill=GridBagConstraints.NONE;
		lbl2=new JLabel("Your Organization : ");
		grid.setConstraints(lbl2, c);
		P.add(lbl2);

		c.weightx=1;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		Organization=new JTextField(Props.getProperty("Organization"));
		grid.setConstraints(Organization, c);
		P.add(Organization);

		c.weightx=0;
		c.anchor=GridBagConstraints.EAST;
		c.gridwidth=1;
		c.fill=GridBagConstraints.NONE;
		lbl2=new JLabel("Signature : ");
		grid.setConstraints(lbl2, c);
		P.add(lbl2);

		c.weightx=1;
		c.gridwidth=1;
		c.anchor=GridBagConstraints.WEST;
		c.fill=GridBagConstraints.HORIZONTAL;
		Signature=new JTextField(Props.getProperty("Signature"));
		grid.setConstraints(Signature, c);
		P.add(Signature);

		c.weightx=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		c.anchor=GridBagConstraints.CENTER;
		c.fill=GridBagConstraints.NONE;
		JButton But=new JButton("Browse");
		grid.setConstraints(But, c);
		But.addActionListener(this);
		P.add(But);

		c.gridwidth=1;
		c.weightx=0;
		c.weighty=0;
		//c.fill=GridBagConstraints.VERTICAL;
		ok=new JButton("OK");
		grid.setConstraints(ok, c);
		ok.addActionListener(this);
		P.add(ok);

		c.gridwidth=1;
		cancel=new JButton("Cancel");
		grid.setConstraints(cancel, c);
		cancel.addActionListener(this);
		P.add(cancel);

		getContentPane().add("Center", P);
		pack();
	}

	public void actionPerformed(ActionEvent e)
	{

		if (e.getSource() instanceof JButton)
		{
		    String cmd=e.getActionCommand();

			if (cmd.equals("OK"))
			{
				Props.put("Name", Name.getText());
				Props.put("EMail", Email.getText());
				Props.put("Organization", Organization.getText());
				Props.put("Signature", Signature.getText());
				setVisible(false);
			}
			else if (cmd.equals("Browse"))
			{
				JFileChooser Browser= new JFileChooser();
				Browser.setFileFilter(new allFileFilter());
				Browser.setDialogTitle("Signature file");
				if (JFileChooser.APPROVE_OPTION==Browser.showOpenDialog(this))
				{
					File fich=Browser.getSelectedFile();
					if (fich != null)
						Signature.setText(fich.getAbsolutePath());
				}
			}
			else if (cmd.equals("Cancel"))
			{
				setVisible(false);
			}
		}
	}

	class allFileFilter extends FileFilter
	{
		protected final String Descr="All files";
		
		public boolean accept(File f)
		{
			return true;
		}
		
		public String getDescription()
		{
			return Descr;
		}
	}
}
