/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

public class JNewsDialog extends JDialog implements ActionListener
{

	public JNewsDialog(Frame Parent, String Title, String Message)
	{
		super(Parent, Title, true);

		addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e)
            {
                dispose();
            }
        });

		JPanel P=new JPanel();
		GridBagLayout grid=new GridBagLayout();
		GridBagConstraints c=new GridBagConstraints();
		P.setLayout(grid);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		JLabel lbl=new JLabel(Message);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=0;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		JButton b=new JButton("OK");
		grid.setConstraints(b, c);
		b.addActionListener(this);
		P.add(b);

		getContentPane().add("Center", P);
		pack();
		show();
	}

	public JNewsDialog(Frame Parent, String Title, String Line1, String Line2)
	{
		super(Parent, Title, true);

		addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e)
            {
                dispose();
            }
        });

		JPanel P=new JPanel();
		GridBagLayout grid=new GridBagLayout();
		GridBagConstraints c=new GridBagConstraints();
		P.setLayout(grid);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		JLabel lbl=new JLabel(Line1);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=1;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		lbl=new JLabel(Line2);
		grid.setConstraints(lbl, c);
		P.add(lbl);

		c.weightx=0;
		c.weighty=0;
		c.gridwidth=GridBagConstraints.REMAINDER;
		JButton b=new JButton("OK");
		grid.setConstraints(b, c);
		b.addActionListener(this);
		P.add(b);

		getContentPane().add("Center", P);
		pack();
		show();
	}

	public void actionPerformed(ActionEvent e)
	{

		if (e.getSource() instanceof JButton)
		{
		    if (e.getActionCommand().equals("OK"))
			{
				dispose();
			}
		}
	}
}
