/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
package utils;
import java.lang.*;
import java.util.*;
import utils.Ordered;

public class OrderedFolder extends Vector
{

	public void insert(Ordered element)
	{
		Ordered ref;
		int min, max, cur;

		if (isEmpty())
		{
			addElement(element);
			return;
		}
		max=size()-1;
		min=0;
		while(true)
		{
			cur=(max+min+1)/2;
			//System.out.println("OrderedFolder : cur = "+cur+", max = "+max+", min = "+min);
			ref=(Ordered)super.elementAt(cur);
			if (element.isSmaller(ref))
			{
				max=cur-1;
				if (max<min)
				{
					insertElementAt(element, min);
					//System.out.println("OrderedFolder : inserted at pos "+min);
					return;
				}
			}
			else if (element.isGreater(ref))
			{
				min=cur+1;
				if (min>max)
				{
					insertElementAt(element, max+1);
					//System.out.println("OrderedFolder : inserted at pos "+cur);
	    			return;
				}
			}
			else if (element.isEqual(ref))
			{
				insertElementAt(element, cur);
				//System.out.println("OrderedFolder : inserted at pos "+cur);
				return;
			}
		}
	}


	public void dump()
	{
		Enumeration items;

		items=elements();
		while (items.hasMoreElements())
			System.out.println(((Ordered)items.nextElement()).getOrderValue());
	}
}
